libnl: Inet Diag Requests

libnl 3.12.0

Inet Diag Requests
Inet Diag library (libnl-idiag)

## Functions
struct idiagnl_req * | idiagnl_req_alloc (void)
void | idiagnl_req_get (struct idiagnl_req *req)
void | idiagnl_req_put (struct idiagnl_req *req)
int | idiagnl_req_parse (struct nlmsghdr *nlh, struct idiagnl_req **result)

## Attributes
uint8_t | idiagnl_req_get_family (const struct idiagnl_req *req)
void | idiagnl_req_set_family (struct idiagnl_req *req, uint8_t family)
uint8_t | idiagnl_req_get_ext (const struct idiagnl_req *req)
void | idiagnl_req_set_ext (struct idiagnl_req *req, uint8_t ext)
uint32_t | idiagnl_req_get_ifindex (const struct idiagnl_req *req)
void | idiagnl_req_set_ifindex (struct idiagnl_req *req, uint32_t ifindex)
uint32_t | idiagnl_req_get_states (const struct idiagnl_req *req)
void | idiagnl_req_set_states (struct idiagnl_req *req, uint32_t states)
uint32_t | idiagnl_req_get_dbs (const struct idiagnl_req *req)
void | idiagnl_req_set_dbs (struct idiagnl_req *req, uint32_t dbs)
struct nl_addr * | idiagnl_req_get_src (const struct idiagnl_req *req)
int | idiagnl_req_set_src (struct idiagnl_req *req, struct nl_addr *addr)
struct nl_addr * | idiagnl_req_get_dst (const struct idiagnl_req *req)
int | idiagnl_req_set_dst (struct idiagnl_req *req, struct nl_addr *addr)

## Detailed Description

Inet Diag Request Documentation (Netlink Inet Diag Development Guide)

## Function Documentation

## ◆ idiagnl_req_alloc()

struct idiagnl_req * idiagnl_req_alloc | ( | void |  | ) |

Definition at line 38 of file idiag_req_obj.c.

## ◆ idiagnl_req_get()

void idiagnl_req_get | ( | struct idiagnl_req * | req | ) |

Definition at line 43 of file idiag_req_obj.c.

## ◆ idiagnl_req_put()

void idiagnl_req_put | ( | struct idiagnl_req * | req | ) |

Definition at line 48 of file idiag_req_obj.c.

## ◆ idiagnl_req_get_family()

uint8_t idiagnl_req_get_family | ( | const struct idiagnl_req * | req | ) |

Definition at line 58 of file idiag_req_obj.c.

## ◆ idiagnl_req_set_family()

void idiagnl_req_set_family | ( | struct idiagnl_req * | req,
|  | uint8_t | family )

Definition at line 63 of file idiag_req_obj.c.

## ◆ idiagnl_req_get_ext()

uint8_t idiagnl_req_get_ext | ( | const struct idiagnl_req * | req | ) |

Definition at line 68 of file idiag_req_obj.c.

## ◆ idiagnl_req_set_ext()

void idiagnl_req_set_ext | ( | struct idiagnl_req * | req,
|  | uint8_t | ext )

Definition at line 73 of file idiag_req_obj.c.

## ◆ idiagnl_req_get_ifindex()

uint32_t idiagnl_req_get_ifindex | ( | const struct idiagnl_req * | req | ) |

Definition at line 78 of file idiag_req_obj.c.

## ◆ idiagnl_req_set_ifindex()

void idiagnl_req_set_ifindex | ( | struct idiagnl_req * | req,
|  | uint32_t | ifindex )

Definition at line 83 of file idiag_req_obj.c.

## ◆ idiagnl_req_get_states()

uint32_t idiagnl_req_get_states | ( | const struct idiagnl_req * | req | ) |

Definition at line 88 of file idiag_req_obj.c.

## ◆ idiagnl_req_set_states()

void idiagnl_req_set_states | ( | struct idiagnl_req * | req,
|  | uint32_t | states )

Definition at line 93 of file idiag_req_obj.c.

## ◆ idiagnl_req_get_dbs()

uint32_t idiagnl_req_get_dbs | ( | const struct idiagnl_req * | req | ) |

Definition at line 98 of file idiag_req_obj.c.

## ◆ idiagnl_req_set_dbs()

void idiagnl_req_set_dbs | ( | struct idiagnl_req * | req,
|  | uint32_t | dbs )

Definition at line 103 of file idiag_req_obj.c.

## ◆ idiagnl_req_get_src()

struct nl_addr * idiagnl_req_get_src | ( | const struct idiagnl_req * | req | ) |

Definition at line 108 of file idiag_req_obj.c.

## ◆ idiagnl_req_set_src()

int idiagnl_req_set_src | ( | struct idiagnl_req * | req,
|  | struct nl_addr * | addr )

Definition at line 113 of file idiag_req_obj.c.

## ◆ idiagnl_req_get_dst()

struct nl_addr * idiagnl_req_get_dst | ( | const struct idiagnl_req * | req | ) |

Definition at line 124 of file idiag_req_obj.c.

## ◆ idiagnl_req_set_dst()

int idiagnl_req_set_dst | ( | struct idiagnl_req * | req,
|  | struct nl_addr * | addr )

Definition at line 129 of file idiag_req_obj.c.

## ◆ idiagnl_req_parse()

int idiagnl_req_parse | ( | struct nlmsghdr * | nlh,
|  | struct idiagnl_req ** | result )

Definition at line 206 of file idiag_req_obj.c.